# Command: SetNumRecProcesses

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    SetNumRecProcesses - Set the number of MPI processes dedicated to
      recording spikes.

Synopsis:

    n_procs SetNumRecProcesses ->	-

Description:

      Sets the number of recording MPI processes to n_procs. Usually,
      spike detectors are distributed over all processes and record
      from local neurons only. If a number of processes is dedicated to
      spike detection, each spike detector is hosted on one of these
      processes and records globally from all simulating processes.

Availability:

    NEST 2.4
      Authors: Susanne Kunkel, Maximilian Schmidt

FirstVersion:

    April 2014

SeeAlso:

- NumProcesses

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative